## python-duet 0.2.9

=== requirements.txt ===
typing-extensions >= 3.10.0; python_version <= '3.7'

=== dev/requirements.txt ===
black == 22.3.0
isort == 5.7.*
mypy == 0.931.*
pylint == 2.10.*
pytest == 6.2.*
twine == 3.3.*
wheel

=== debian/changelog ===
python-duet (0.2.9-3) unstable; urgency=medium

  * d/control:
    - Update Uploaders.
    - Bump Standards-Version to 4.7.0.
    - Routine updates.
  * d/copyright: update email ID in debian/* copyright.
  * Add d/source/options.

 -- Yogeswaran Umasankar <yogu@debian.org>  Mon, 11 Nov 2024 00:46:15 +0000

python-duet (0.2.9-2) unstable; urgency=medium

  * No-changes source-only upload.

 -- Yogeswaran Umasankar <kd8mbd@gmail.com>  Sat, 16 Mar 2024 23:40:00 +0000

python-duet (0.2.9-1) unstable; urgency=medium

  * Initial release. (Closes: #1064352)

 -- Pulak Bhushan <pulakbhushan@gmail.com>  Tue, 20 Feb 2024 18:15:00 +0000

=== debian/control ===
Source: python-duet
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Yogeswaran Umasankar <yogu@debian.org>,
Homepage: https://github.com/google/duet
Vcs-Git: https://salsa.debian.org/python-team/packages/python-duet.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-duet
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 pybuild-plugin-pyproject,
 python3-all,
 python3-mypy,
 python3-pytest <!nocheck>,
 python3-setuptools,
 python3-typing-extensions,
 python3-wheel,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Testsuite: autopkgtest-pkg-pybuild

Package: python3-duet
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Description: Duet is a simple future-based async library for Python
 Duet takes inspiration from the amazing trio library and the
 structured concurrency approach to async programming that it uses.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=duet

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	find debian/python3-duet -type d \( -name '__pycache__' \) -exec rm -rf {} + -o \
                               \( -name 'api_test.py' -o -name 'futuretools_test.py' -o -name 'impl_test.py' \) -exec rm -f {} +

=== debian/watch ===
version=4
https://github.com/google/duet/tags .*/v(\d\S+)\.tar\.gz
